KTextEditor::PrintDCOPInterface Class Reference

`#include <printdcopinterface.h>`

Inherits DCOPObject.

## Public Member Functions

| PrintDCOPInterface (PrintInterface *Parent, const char *name)
virtual | ~PrintDCOPInterface ()

## Detailed Description

This is the main interface to the PrintInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to PrintInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file printdcopinterface.h.

## Constructor & Destructor Documentation

PrintDCOPInterface::PrintDCOPInterface | ( | PrintInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent PrintInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 7 of file printdcopinterface.cpp.

PrintDCOPInterface::~PrintDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 13 of file printdcopinterface.cpp.

The documentation for this class was generated from the following files:

- printdcopinterface.h
- printdcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys